package com.qiaoba.common.database.handlers.schema;

import org.springframework.stereotype.Component;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * PostgreSqlSchemaHandler
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/20 9:29
 */
@Component
public class PostgreSqlSchemaHandler implements SchemaHandler {
    @Override
    public void setSchema(Connection conn) {
        try {
            conn.setSchema("");
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
